APIExecutionRole:
  Type: 'AWS::IAM::Role'
  Properties:
    AssumeRolePolicyDocument:
      Version: 2012-10-17
      Statement:
        - Action:
            - 'sts:AssumeRole'
          Effect: Allow
          Principal:
            Service:
              - apigateway.amazonaws.com
    Path: /
    Policies:
      -
        PolicyName: "LambdaInvokePolicyForAPIGateway"
        PolicyDocument:
          Version: "2012-10-17"
          Statement:
            -
              Effect: "Allow"
              Action: "lambda:InvokeFunction"
              Resource: "*"